name: test-conda-env-py3
channels:
  - conda-forge
  - defaults
dependencies:
  - git
  - c-compiler
  - binutils
  - openmp
  - openmpi-mpicxx
  - scipy
  - conda-forge::numpy
  - conda-forge::sympy
  - pocl
  - islpy
  - pyopencl
  - python=3
  - symengine=0.3.0
  - python-symengine=0.3.0
  - pyfmmlib
  - cython
  - cmake
  - tbb-devel
  - dealii
  - gmsh
  - python-gmsh

  - pip
  - pip:
    - git+https://gitlab.tiker.net/inducer/loopy
    - git+https://www.github.com/xywei/gmsh_interop
    - git+https://gitlab.tiker.net/xywei/boxtree
    - git+https://gitlab.tiker.net/inducer/modepy
    - git+https://gitlab.tiker.net/inducer/meshmode
    - git+https://gitlab.tiker.net/inducer/pymbolic
    - git+https://gitlab.tiker.net/inducer/sumpy
    - git+https://gitlab.tiker.net/inducer/pytential
